Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.mycarenetcommons.builders.impl
Class GPCommonBuilderImpl

    java.lang.Object
      be.ehealth.business.mycarenetcommons.builders.impl.AbstractCommonBuilderImpl
          be.ehealth.business.mycarenetcommons.builders.impl.IndependantProfessionalCommonBuilderImpl
              be.ehealth.business.mycarenetcommons.builders.impl.GPCommonBuilderImpl

All Implemented Interfaces:
  CommonBuilder, ConfigurableImplementation

Deprecated. use `GenericCommonBuilderImpl` for everything now ( configured via property file ).

    @Deprecated
    public class GPCommonBuilderImpl

extends IndependantProfessionalCommonBuilderImpl

deprecated classnames : just for backward compability purposes , will be removed in next version 4.

Field Summary

Fields inherited from interface be.ehealth.business.mycarenetcommons.builders.CommonBuilder
`PROJECT_NAME_KEY`

Constructor Summary
`GPCommonBuilderImpl()` Deprecated.

Method Summary

Methods inherited from class be.ehealth.business.mycarenetcommons.builders.impl.AbstractCommonBuilderImpl
`createCommonInput, createOrigin, createRouting, createRoutingToMutuality, initialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GPCommonBuilderImpl

    public GPCommonBuilderImpl()
                        throws InstantiationException,
                               TechnicalConnectorException

  Deprecated.
  Throws:
    `InstantiationException`
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.